clear all;

%Used in project thesis to run observer.slx

bypassObserver = 0;

cutOffWFObs = 1.22; %omega_c/omega_0 in LF observer [-]
dampingWFObs = 0.1; %lambda in LF observer [-]

K2_1 = 1; % Gain position injection surge (normalized)
K2_2 = 1; % Gain position injection sway (normalized)
K2_3 = 1; % Gain position injection yaw (normalized)

K3 = 1; % Gain bias tuning (normalized)

K4_1 = 1; % Gain velocity injection surge (normalized)
K4_2 = 1; % Gain velocity injection sway (normalized)
K4_3 = 1; % Gain velocity injection yaw (normalized)

Tb = 1; % Time constant bias (normalized)

scale=40;

rho=1.025; %Scaling for correcting from fresh to saltwater

%Mass matrix, values from base-case
m = 14176e03; %mass in surge and sway
m_yaw = 1.2985e10; %mass in yaw
M1 = (m)*2/(scale^(3)*rho); %Mass and added mass in surge
M2 = (m)*2/(scale^(3)*rho); %Mass and added mass in surge
M6 = (m_yaw)*2/(scale^(5)*rho); %Izz, Masses and added mass in yaw [kg*m^2]
%Mass matrix
M = diag([M1, M2, M6]);
M_inv = inv(M);

%Damping matrix, stiffness from base-case
k = 89800;
C_cr = 0.2*2*sqrt(k*m*2);
Dl1 =  C_cr/(scale^(2.5)*rho); %N/m
Dl2 = C_cr/(scale^(2.5)*rho); %N/m
k_yaw = 1.2165e+08;
C_cr_yaw = 0.2*2*sqrt(k_yaw*m_yaw*2);
Dl6 = C_cr_yaw/(scale^(3.5)*rho); %Nm
%Linear damping matrix
Dl = diag([Dl1,Dl2,Dl6]);

% Quadratic damping (assumed to be zero here)
Dq1  = 0; % Quadratic damping in surge [N/(m/s)^2]       
Dq2  = 0; % Quadratic  damping in sway [N/(m/s)^2]
Dq6 =  0; % Quadratic damping in yaw [Nm/(deg/s)^2]

%Quadratic damping matrix
Dq = diag([Dq1,Dq2,Dq6]);